var emc_carrier;
var emc_carrierInput;

document.addEventListener(
    "DOMContentLoaded", function() {
        emc_parcelPointLinks.init('.select-parcel', emc_getSelectedCarrier, emc_getAddress, emc_setPoint, emc_refreshCarrier);
    }
);

function emc_getSelectedCarrier() {
    return emc_carrier;
}

function emc_getAddress(target) {
    return new Promise(function(resolve, reject) {
        var address = {
            zipcode: target.getAttribute("data-zipcode"),
            city: target.getAttribute("data-city"),
            country: target.getAttribute("data-country")
        };
        resolve(address);
    });
}

function emc_setPoint(code, name, carrier) {
    return new Promise(function(resolve, reject) {
        emc_carrierInput.value = code.substring(5);
        resolve();
    });
}

function emc_refreshCarrier(target) {
    return new Promise(function(resolve, reject) {
        emc_carrier = target.getAttribute("data-carrier");
        emc_carrierInput = target.closest(".form-field").querySelector("input");
        resolve();
    });
}
